Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class AuthorityInformationAccess

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x509.AuthorityInformationAccess

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class AuthorityInformationAccess
extends ASN1Object

The AuthorityInformationAccess object. id-pe-authorityInfoAccess OBJECT IDENTIFIER ::= { id-pe 1 } AuthorityInfoAccessSyntax ::= SEQUENCE SIZE (1..MAX) OF AccessDescription AccessDescription ::= SEQUENCE { accessMethod OBJECT IDENTIFIER, accessLocation GeneralName } id-ad OBJECT IDENTIFIER ::= { id-pkix 48 } id-ad-caIssuers OBJECT IDENTIFIER ::= { id-ad 2 } id-ad-ocsp OBJECT IDENTIFIER ::= { id-ad 1 }

Constructor Summary
`AuthorityInformationAccess(AccessDescription description)`
`AuthorityInformationAccess(AccessDescription[] descriptions)`
`AuthorityInformationAccess(ASN1ObjectIdentifier oid, GeneralName location)` create an AuthorityInformationAccess with the oid and location provided.

Method Summary
`static AuthorityInformationAccess` | `fromExtensions(Extensions extensions)`
`AccessDescription[]` | `getAccessDescriptions()`
`static AuthorityInformationAccess` | `getInstance(java.lang.Object obj)`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
`java.lang.String` | `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthorityInformationAccess

    public AuthorityInformationAccess(AccessDescription description)

### AuthorityInformationAccess

    public AuthorityInformationAccess(AccessDescription[] descriptions)

### AuthorityInformationAccess

    public AuthorityInformationAccess(ASN1ObjectIdentifier oid,
                                      GeneralName location)

  create an AuthorityInformationAccess with the oid and location provided.

Method Detail

### getInstance

    public static AuthorityInformationAccess getInstance(java.lang.Object obj)

### fromExtensions

    public static AuthorityInformationAccess fromExtensions(Extensions extensions)

### getAccessDescriptions

    public AccessDescription[] getAccessDescriptions()

  Returns:
    the access descriptions contained in this object.

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD